Create Loyalty Program

The Create Loyalty API is used to create a loyalty program within HIPS ecosystem. The loyalty program will then have persons and wallets. Authentication Key Type: SalesChannelApiKey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create program example

The below example creates a bonus program called OXXO BONUS where every token in the program is called points and each point have a corresponding value of 1 EUR (entered in cents 100) when a purchase is made with tokens (points).

The user will get tokens worth EUR 0.90 for every EUR 1.00 spent on purchases with the merchants sales channels (if the sales channel is configured for this).

The user will get tokens worth EUR 1.10 for every EUR 1.00 spent on topups of tokens with card (if enabled).

When a new user signed up he/she gets 10 points for free (start_tokens)

{
    "name": "OXXO BONUS",
    "token_name": "points",
    "base_currency": "EUR",
    "token_purchase_value_in_currency": 100,
    "token_earn_value_in_currency": 90,
    "token_topup_value_in_currency": 110,
    "start_tokens": 10,
    "public_visible": true,
    "webhook_url": "https://my.website.com/webhook"
}
👍

Automatic bonus

A sales channel can be configured to automatically give the person buying a loyalty bonus based on the rules of the program.

❗️

Manual bonus

You may manually handle the bonus/points/tokens in a persons loyalty wallet via the spend/credit loyalty API.

Body Params

The Create Loyalty API is used to create a loyalty program within HIPS ecosystem. The loyalty program will then have persons and wallets. Authentication Key Type: SalesChannelApiKey

string
required

The name for the loyalty program. (max 255 characters)

string

Name of the tokens in the program, i.e: points or tokens

string
enum
required

The currency in which the tokens should be based at. We use the ISO 4217 standard for defining currencies.

int32
required

1 token will be worth this value in base currency when a purchase is made.

int32
required

1 token will be worth this value in base currency when earned.

int32
required

1 token will be worth this value in base currency when a topup is made.

int32

Number of start tokens issued to new customers

boolean
Defaults to true

Indicates if this loyalty program can be enrolled to. If set to false the program is only open to invites

string

URL - Webhook URL where HIPS will post all events related to this loyalty program

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json